[group:bots]
programs = bots_web,bots_aggregator_client,bots_celeryd,bots_celerybeat

[program:bots_web]
user = http
directory = /srv/apps/bots
command = /srv/apps/bots/venv/bin/uwsgi --yaml /srv/apps/bots/uwsgi.yml
autostart = true
autorestart = true
stderr_logfile = /srv/apps/bots/logs/uwsgi.log
stdout_logfile = /srv/apps/bots/logs/uwsgi.log
stopsignal = INT

[program:bots_aggregator_client]
user = http
directory = /srv/apps/bots
command = /srv/apps/bots/venv/bin/python /srv/apps/bots/manage.py start_aggregator_client
autostart = true
autorestart = true
stderr_logfile = /srv/apps/bots/logs/aggregator_client.log
stdout_logfile = /srv/apps/bots/logs/aggregator_client.log
stopsignal = INT

[program:bots_celeryd]
user = http
directory = /srv/apps/bots
command=/srv/apps/bots/venv/bin/celery worker --app=config -l info
stdout_logfile=/srv/apps/bots/logs/celeryd.log
stderr_logfile=/srv/apps/bots/logs/celeryd.log
autostart=true
autorestart=true
startsecs=10
stopwaitsecs=600

[program:bots_celerybeat]
user = http
directory = /srv/apps/bots
command=/srv/apps/bots/venv/bin/celery beat --app=config -l info
stdout_logfile=/srv/apps/bots/logs/celerybeat.log
stderr_logfile=/srv/apps/bots/logs/celerybeat.log
autostart=true
autorestart=true
startsecs=10
stopwaitsecs=600
